Gnome2::Bonobo::Dock(3)

NAME
Gnome2::Bonobo::Dock - wrapper for BonoboDock

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gnome2::Bonobo::Dock

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gnome2::Bonobo::Dock->new

  $dock->add_floating_item ($widget, $x, $y, $orientation)

•   $widget (Gnome2::Bonobo::DockItem)

•   $x (integer)

•   $y (integer)

•   $orientation (Gtk2::Orientation)

  boolean = $dock->add_from_layout ($layout)

•   $layout (Gnome2::Bonobo::DockLayout)

  $dock->add_item ($item, $placement, $band_num, $position, $offset, $in_new_band)

•   $item (Gnome2::Bonobo::DockItem)

•   $placement (Gnome2::Bonobo::DockPlacement)

•   $band_num (integer)

•   $position (integer)

•   $offset (integer)

•   $in_new_band (boolean)

  $dock->allow_floating_items ($enable)

•   $enable (boolean)

  widget = $dock->get_client_area

  $dock->set_client_area ($widget)

•   $widget (Gtk2::Widget)

  list = $dock->get_item_by_name ($name)

•   $name (string)

Returns a BonoboDockItem, a BonoboDockPlacement and three unsigned integers corresponding to num_band, band_position and offset.

  docklayout = $dock->get_layout

SIGNALS

layout-changed (Gnome2::Bonobo::Dock)

ENUMS AND FLAGS

  enum Gnome2::Bonobo::DockPlacement
•   'top' / 'BONOBO_DOCK_TOP'

•   'right' / 'BONOBO_DOCK_RIGHT'

•   'bottom' / 'BONOBO_DOCK_BOTTOM'

•   'left' / 'BONOBO_DOCK_LEFT'

•   'floating' / 'BONOBO_DOCK_FLOATING'

  enum Gtk2::Orientation

•   'horizontal' / 'GTK_ORIENTATION_HORIZONTAL'

•   'vertical' / 'GTK_ORIENTATION_VERTICAL'

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.